> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Free Trial Link Subscribers (/api-reference/free-trial-links/list-free-trial-link-subscribers)

Get list of subscribers who joined through a Free Trial Link

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/trial-links/{trial_link_id}/subscribers
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/trial-links/{trial_link_id}/subscribers:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
      - in: path
        name: trial_link_id
        description: The ID of the trial link.
        example: ea
        required: true
        schema:
          type: string
    get:
      summary: List Free Trial Link Subscribers
      operationId: listFreeTrialLinkSubscribers
      description: Get list of subscribers who joined through a Free Trial Link
      parameters:
        - in: query
          name: limit
          description: The number of subscribers to return per page. Default `10`
          example: 10
          required: true
          schema:
            type: integer
            description: The number of subscribers to return per page. Default `10`
            example: 10
        - in: query
          name: offset
          description: The offset used for pagination. Default `0`
          example: 0
          required: true
          schema:
            type: integer
            description: The offset used for pagination. Default `0`
            example: 0
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    list:
                      - view: x
                        avatar: https://public.onlyfans.com/files/.../avatar.jpg
                        avatarThumbs:
                          c50: https://thumbs.onlyfans.com/public/files/thumbs/c50/.../avatar.jpg
                          c144: https://thumbs.onlyfans.com/public/files/thumbs/c144/.../avatar.jpg
                        header: https://public.onlyfans.com/files/.../header.jpg
                        headerSize:
                          width: 2160
                          height: 2700
                        headerThumbs:
                          w480: https://thumbs.onlyfans.com/public/files/thumbs/w480/.../header.jpg
                          w760: https://thumbs.onlyfans.com/public/files/thumbs/w760/.../header.jpg
                        id: 123
                        name: name
                        username: username
                        canLookStory: true
                        canCommentStory: true
                        hasNotViewedStory: false
                        isVerified: false
                        canPayInternal: true
                        hasScheduledStream: false
                        hasStream: false
                        hasStories: false
                        tipsEnabled: false
                        tipsTextEnabled: true
                        tipsMin: 5
                        tipsMinInternal: 1
                        tipsMax: 200
                        canEarn: false
                        canAddSubscriber: false
                        subscribePrice: 0
                        displayName: ""
                        notice: ""
                        isRestricted: false
                        canRestrict: true
                        subscribedBy: true
                        subscribedByExpire: false
                        subscribedByExpireDate: 2025-01-01T00:00:00+00:00
                        subscribedByAutoprolong: true
                        subscribedIsExpiredNow: false
                        currentSubscribePrice: 0
                        subscribedOn: true
                        subscribedOnExpiredNow: false
                        subscribedOnDuration: 3 days
                        listsStates:
                          - id: fans
                            type: fans
                            name: Fans
                            hasUser: true
                            canAddUser: false
                            cannotAddUserReason: ALREADY_EXISTS
                          - id: following
                            type: following
                            name: Following
                            hasUser: true
                            canAddUser: false
                            cannotAddUserReason: ALREADY_EXISTS
                          - id: friends
                            type: friends
                            name: Friends
                            hasUser: false
                            canAddUser: false
                            cannotAddUserReason: USER_NOT_PERFORMER
                          - id: muted
                            type: muted
                            name: Muted
                            hasUser: false
                            canAddUser: true
                            cannotAddUserReason: null
                          - id: recent
                            type: recent
                            name: Recent (last 24 hours)
                            hasUser: false
                            canAddUser: false
                            cannotAddUserReason: SYSTEM_LIST
                          - id: rebill_off
                            type: rebill_off
                            name: Renew Off
                            hasUser: true
                            canAddUser: false
                            cannotAddUserReason: ALREADY_EXISTS
                          - id: rebill_on
                            type: rebill_on
                            name: Renew On
                            hasUser: false
                            canAddUser: false
                            cannotAddUserReason: null
                          - id: tagged
                            type: tagged
                            name: Tagged
                            hasUser: false
                            canAddUser: false
                            cannotAddUserReason: SYSTEM_LIST
                        canReport: true
                        canReceiveChatMessage: true
                        hideChat: false
                        lastSeen: 2025-01-01T00:00:00+00:00
                        isPerformer: false
                        isRealPerformer: false
                        subscribedByData:
                          price: 0
                          newPrice: 0
                          regularPrice: 0
                          subscribePrice: 0
                          discountPercent: 0
                          discountPeriod: 1
                          subscribeAt: 2025-01-01T00:00:00+00:00
                          expiredAt: 2025-01-01T00:00:00+00:00
                          renewedAt: 2025-01-01T00:00:00+00:00
                          discountFinishedAt: null
                          discountStartedAt: null
                          status: null
                          isMuted: false
                          unsubscribeReason: No reason given
                          duration: 3 days
                          showPostsInFeed: true
                          subscribes:
                            - id: 123
                              userId: 123
                              subscriberId: 123
                              date: 2025-01-01T00:00:00+00:00
                              duration: 123
                              startDate: 2025-01-01T00:00:00+00:00
                              expireDate: 2025-01-01T00:00:00+00:00
                              cancelDate: null
                              price: 0
                              regularPrice: 0
                              discount: 0
                              earningId: 0
                              action: subscribe
                              type: auto
                              offerStart: null
                              offerEnd: null
                              isCurrent: true
                          hasActivePaidSubscriptions: false
                        subscribedOnData:
                          price: 0
                          newPrice: 0
                          regularPrice: 5
                          subscribePrice: 5
                          discountPercent: 0
                          discountPeriod: 1
                          subscribeAt: 2025-01-01T00:00:00+00:00
                          expiredAt: 2025-01-01T00:00:00+00:00
                          renewedAt: null
                          discountFinishedAt: null
                          discountStartedAt: null
                          status: Set to Expire
                          isMuted: false
                          unsubscribeReason: No reason given
                          duration: 3 days
                          tipsSumm: 0
                          subscribesSumm: 0
                          messagesSumm: 0
                          postsSumm: 0
                          streamsSumm: 0
                          totalSumm: 0
                          lastActivity: 2025-01-01T00:00:00+00:00
                          recommendations: 0
                          subscribes:
                            - id: 123
                              userId: 123
                              subscriberId: 123
                              date: 2025-01-01T00:00:00+00:00
                              duration: 90
                              startDate: 2025-01-01T00:00:00+00:00
                              expireDate: 2025-01-01T00:00:00+00:00
                              cancelDate: null
                              price: 0
                              regularPrice: 5
                              discount: 0
                              earningId: 0
                              action: subscribe
                              type: trial
                              offerStart: 2025-01-01T00:00:00+00:00
                              offerEnd: null
                              isCurrent: true
                          hasActivePaidSubscriptions: false
                        canTrialSend: false
                        isBlocked: false
                        promoOffers:
                          - id: 123
                            subscribeDays: 90
                            createdAt: 2025-01-01T00:00:00+00:00
                            expiredAt: null
                            finishedAt: 2025-01-01T00:00:00+00:00
                            subscriberId: "123"
                            userId: "123"
                        canUnsubscribe: true
                        isPendingAutoprolong: false
                    hasMore: true
                  _meta:
                    _credits:
                      used: 1
                      balance: 1000000028
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 10000000
                      limit_day: 50000
                      remaining_minute: 9999999
                      remaining_day: 49998
                properties:
                  data:
                    type: object
                    properties:
                      list:
                        type: array
                        example:
                          - view: x
                            avatar: https://public.onlyfans.com/files/.../avatar.jpg
                            avatarThumbs:
                              c50: https://thumbs.onlyfans.com/public/files/thumbs/c50/.../avatar.jpg
                              c144: https://thumbs.onlyfans.com/public/files/thumbs/c144/.../avatar.jpg
                            header: https://public.onlyfans.com/files/.../header.jpg
                            headerSize:
                              width: 2160
                              height: 2700
                            headerThumbs:
                              w480: https://thumbs.onlyfans.com/public/files/thumbs/w480/.../header.jpg
                              w760: https://thumbs.onlyfans.com/public/files/thumbs/w760/.../header.jpg
                            id: 123
                            name: name
                            username: username
                            canLookStory: true
                            canCommentStory: true
                            hasNotViewedStory: false
                            isVerified: false
                            canPayInternal: true
                            hasScheduledStream: false
                            hasStream: false
                            hasStories: false
                            tipsEnabled: false
                            tipsTextEnabled: true
                            tipsMin: 5
                            tipsMinInternal: 1
                            tipsMax: 200
                            canEarn: false
                            canAddSubscriber: false
                            subscribePrice: 0
                            displayName: ""
                            notice: ""
                            isRestricted: false
                            canRestrict: true
                            subscribedBy: true
                            subscribedByExpire: false
                            subscribedByExpireDate: 2025-01-01T00:00:00+00:00
                            subscribedByAutoprolong: true
                            subscribedIsExpiredNow: false
                            currentSubscribePrice: 0
                            subscribedOn: true
                            subscribedOnExpiredNow: false
                            subscribedOnDuration: 3 days
                            listsStates:
                              - id: fans
                                type: fans
                                name: Fans
                                hasUser: true
                                canAddUser: false
                                cannotAddUserReason: ALREADY_EXISTS
                              - id: following
                                type: following
                                name: Following
                                hasUser: true
                                canAddUser: false
                                cannotAddUserReason: ALREADY_EXISTS
                              - id: friends
                                type: friends
                                name: Friends
                                hasUser: false
                                canAddUser: false
                                cannotAddUserReason: USER_NOT_PERFORMER
                              - id: muted
                                type: muted
                                name: Muted
                                hasUser: false
                                canAddUser: true
                                cannotAddUserReason: null
                              - id: recent
                                type: recent
                                name: Recent (last 24 hours)
                                hasUser: false
                                canAddUser: false
                                cannotAddUserReason: SYSTEM_LIST
                              - id: rebill_off
                                type: rebill_off
                                name: Renew Off
                                hasUser: true
                                canAddUser: false
                                cannotAddUserReason: ALREADY_EXISTS
                              - id: rebill_on
                                type: rebill_on
                                name: Renew On
                                hasUser: false
                                canAddUser: false
                                cannotAddUserReason: null
                              - id: tagged
                                type: tagged
                                name: Tagged
                                hasUser: false
                                canAddUser: false
                                cannotAddUserReason: SYSTEM_LIST
                            canReport: true
                            canReceiveChatMessage: true
                            hideChat: false
                            lastSeen: 2025-01-01T00:00:00+00:00
                            isPerformer: false
                            isRealPerformer: false
                            subscribedByData:
                              price: 0
                              newPrice: 0
                              regularPrice: 0
                              subscribePrice: 0
                              discountPercent: 0
                              discountPeriod: 1
                              subscribeAt: 2025-01-01T00:00:00+00:00
                              expiredAt: 2025-01-01T00:00:00+00:00
                              renewedAt: 2025-01-01T00:00:00+00:00
                              discountFinishedAt: null
                              discountStartedAt: null
                              status: null
                              isMuted: false
                              unsubscribeReason: No reason given
                              duration: 3 days
                              showPostsInFeed: true
                              subscribes:
                                - id: 123
                                  userId: 123
                                  subscriberId: 123
                                  date: 2025-01-01T00:00:00+00:00
                                  duration: 123
                                  startDate: 2025-01-01T00:00:00+00:00
                                  expireDate: 2025-01-01T00:00:00+00:00
                                  cancelDate: null
                                  price: 0
                                  regularPrice: 0
                                  discount: 0
                                  earningId: 0
                                  action: subscribe
                                  type: auto
                                  offerStart: null
                                  offerEnd: null
                                  isCurrent: true
                              hasActivePaidSubscriptions: false
                            subscribedOnData:
                              price: 0
                              newPrice: 0
                              regularPrice: 5
                              subscribePrice: 5
                              discountPercent: 0
                              discountPeriod: 1
                              subscribeAt: 2025-01-01T00:00:00+00:00
                              expiredAt: 2025-01-01T00:00:00+00:00
                              renewedAt: null
                              discountFinishedAt: null
                              discountStartedAt: null
                              status: Set to Expire
                              isMuted: false
                              unsubscribeReason: No reason given
                              duration: 3 days
                              tipsSumm: 0
                              subscribesSumm: 0
                              messagesSumm: 0
                              postsSumm: 0
                              streamsSumm: 0
                              totalSumm: 0
                              lastActivity: 2025-01-01T00:00:00+00:00
                              recommendations: 0
                              subscribes:
                                - id: 123
                                  userId: 123
                                  subscriberId: 123
                                  date: 2025-01-01T00:00:00+00:00
                                  duration: 90
                                  startDate: 2025-01-01T00:00:00+00:00
                                  expireDate: 2025-01-01T00:00:00+00:00
                                  cancelDate: null
                                  price: 0
                                  regularPrice: 5
                                  discount: 0
                                  earningId: 0
                                  action: subscribe
                                  type: trial
                                  offerStart: 2025-01-01T00:00:00+00:00
                                  offerEnd: null
                                  isCurrent: true
                              hasActivePaidSubscriptions: false
                            canTrialSend: false
                            isBlocked: false
                            promoOffers:
                              - id: 123
                                subscribeDays: 90
                                createdAt: 2025-01-01T00:00:00+00:00
                                expiredAt: null
                                finishedAt: 2025-01-01T00:00:00+00:00
                                subscriberId: "123"
                                userId: "123"
                            canUnsubscribe: true
                            isPendingAutoprolong: false
                        items:
                          type: object
                          properties:
                            view:
                              type: string
                              example: x
                            avatar:
                              type: string
                              example: https://public.onlyfans.com/files/.../avatar.jpg
                            avatarThumbs:
                              type: object
                              properties:
                                c50:
                                  type: string
                                  example: https://thumbs.onlyfans.com/public/files/thumbs/c50/.../avatar.jpg
                                c144:
                                  type: string
                                  example: https://thumbs.onlyfans.com/public/files/thumbs/c144/.../avatar.jpg
                            header:
                              type: string
                              example: https://public.onlyfans.com/files/.../header.jpg
                            headerSize:
                              type: object
                              properties:
                                width:
                                  type: integer
                                  example: 2160
                                height:
                                  type: integer
                                  example: 2700
                            headerThumbs:
                              type: object
                              properties:
                                w480:
                                  type: string
                                  example: https://thumbs.onlyfans.com/public/files/thumbs/w480/.../header.jpg
                                w760:
                                  type: string
                                  example: https://thumbs.onlyfans.com/public/files/thumbs/w760/.../header.jpg
                            id:
                              type: integer
                              example: 123
                            name:
                              type: string
                              example: name
                            username:
                              type: string
                              example: username
                            canLookStory:
                              type: boolean
                              example: true
                            canCommentStory:
                              type: boolean
                              example: true
                            hasNotViewedStory:
                              type: boolean
                              example: false
                            isVerified:
                              type: boolean
                              example: false
                            canPayInternal:
                              type: boolean
                              example: true
                            hasScheduledStream:
                              type: boolean
                              example: false
                            hasStream:
                              type: boolean
                              example: false
                            hasStories:
                              type: boolean
                              example: false
                            tipsEnabled:
                              type: boolean
                              example: false
                            tipsTextEnabled:
                              type: boolean
                              example: true
                            tipsMin:
                              type: integer
                              example: 5
                            tipsMinInternal:
                              type: integer
                              example: 1
                            tipsMax:
                              type: integer
                              example: 200
                            canEarn:
                              type: boolean
                              example: false
                            canAddSubscriber:
                              type: boolean
                              example: false
                            subscribePrice:
                              type: integer
                              example: 0
                            displayName:
                              type: string
                              example: ""
                            notice:
                              type: string
                              example: ""
                            isRestricted:
                              type: boolean
                              example: false
                            canRestrict:
                              type: boolean
                              example: true
                            subscribedBy:
                              type: boolean
                              example: true
                            subscribedByExpire:
                              type: boolean
                              example: false
                            subscribedByExpireDate:
                              type: string
                              example: 2025-01-01T00:00:00+00:00
                            subscribedByAutoprolong:
                              type: boolean
                              example: true
                            subscribedIsExpiredNow:
                              type: boolean
                              example: false
                            currentSubscribePrice:
                              type: integer
                              example: 0
                            subscribedOn:
                              type: boolean
                              example: true
                            subscribedOnExpiredNow:
                              type: boolean
                              example: false
                            subscribedOnDuration:
                              type: string
                              example: 3 days
                            listsStates:
                              type: array
                              example:
                                - id: fans
                                  type: fans
                                  name: Fans
                                  hasUser: true
                                  canAddUser: false
                                  cannotAddUserReason: ALREADY_EXISTS
                                - id: following
                                  type: following
                                  name: Following
                                  hasUser: true
                                  canAddUser: false
                                  cannotAddUserReason: ALREADY_EXISTS
                                - id: friends
                                  type: friends
                                  name: Friends
                                  hasUser: false
                                  canAddUser: false
                                  cannotAddUserReason: USER_NOT_PERFORMER
                                - id: muted
                                  type: muted
                                  name: Muted
                                  hasUser: false
                                  canAddUser: true
                                  cannotAddUserReason: null
                                - id: recent
                                  type: recent
                                  name: Recent (last 24 hours)
                                  hasUser: false
                                  canAddUser: false
                                  cannotAddUserReason: SYSTEM_LIST
                                - id: rebill_off
                                  type: rebill_off
                                  name: Renew Off
                                  hasUser: true
                                  canAddUser: false
                                  cannotAddUserReason: ALREADY_EXISTS
                                - id: rebill_on
                                  type: rebill_on
                                  name: Renew On
                                  hasUser: false
                                  canAddUser: false
                                  cannotAddUserReason: null
                                - id: tagged
                                  type: tagged
                                  name: Tagged
                                  hasUser: false
                                  canAddUser: false
                                  cannotAddUserReason: SYSTEM_LIST
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    example: fans
                                  type:
                                    type: string
                                    example: fans
                                  name:
                                    type: string
                                    example: Fans
                                  hasUser:
                                    type: boolean
                                    example: true
                                  canAddUser:
                                    type: boolean
                                    example: false
                                  cannotAddUserReason:
                                    type: string
                                    example: ALREADY_EXISTS
                            canReport:
                              type: boolean
                              example: true
                            canReceiveChatMessage:
                              type: boolean
                              example: true
                            hideChat:
                              type: boolean
                              example: false
                            lastSeen:
                              type: string
                              example: 2025-01-01T00:00:00+00:00
                            isPerformer:
                              type: boolean
                              example: false
                            isRealPerformer:
                              type: boolean
                              example: false
                            subscribedByData:
                              type: object
                              properties:
                                price:
                                  type: integer
                                  example: 0
                                newPrice:
                                  type: integer
                                  example: 0
                                regularPrice:
                                  type: integer
                                  example: 0
                                subscribePrice:
                                  type: integer
                                  example: 0
                                discountPercent:
                                  type: integer
                                  example: 0
                                discountPeriod:
                                  type: integer
                                  example: 1
                                subscribeAt:
                                  type: string
                                  example: 2025-01-01T00:00:00+00:00
                                expiredAt:
                                  type: string
                                  example: 2025-01-01T00:00:00+00:00
                                renewedAt:
                                  type: string
                                  example: 2025-01-01T00:00:00+00:00
                                discountFinishedAt:
                                  type: string
                                  example: null
                                  nullable: true
                                discountStartedAt:
                                  type: string
                                  example: null
                                  nullable: true
                                status:
                                  type: string
                                  example: null
                                  nullable: true
                                isMuted:
                                  type: boolean
                                  example: false
                                unsubscribeReason:
                                  type: string
                                  example: No reason given
                                duration:
                                  type: string
                                  example: 3 days
                                showPostsInFeed:
                                  type: boolean
                                  example: true
                                subscribes:
                                  type: array
                                  example:
                                    - id: 123
                                      userId: 123
                                      subscriberId: 123
                                      date: 2025-01-01T00:00:00+00:00
                                      duration: 123
                                      startDate: 2025-01-01T00:00:00+00:00
                                      expireDate: 2025-01-01T00:00:00+00:00
                                      cancelDate: null
                                      price: 0
                                      regularPrice: 0
                                      discount: 0
                                      earningId: 0
                                      action: subscribe
                                      type: auto
                                      offerStart: null
                                      offerEnd: null
                                      isCurrent: true
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: integer
                                        example: 123
                                      userId:
                                        type: integer
                                        example: 123
                                      subscriberId:
                                        type: integer
                                        example: 123
                                      date:
                                        type: string
                                        example: 2025-01-01T00:00:00+00:00
                                      duration:
                                        type: integer
                                        example: 123
                                      startDate:
                                        type: string
                                        example: 2025-01-01T00:00:00+00:00
                                      expireDate:
                                        type: string
                                        example: 2025-01-01T00:00:00+00:00
                                      cancelDate:
                                        type: string
                                        example: null
                                        nullable: true
                                      price:
                                        type: integer
                                        example: 0
                                      regularPrice:
                                        type: integer
                                        example: 0
                                      discount:
                                        type: integer
                                        example: 0
                                      earningId:
                                        type: integer
                                        example: 0
                                      action:
                                        type: string
                                        example: subscribe
                                      type:
                                        type: string
                                        example: auto
                                      offerStart:
                                        type: string
                                        example: null
                                        nullable: true
                                      offerEnd:
                                        type: string
                                        example: null
                                        nullable: true
                                      isCurrent:
                                        type: boolean
                                        example: true
                                hasActivePaidSubscriptions:
                                  type: boolean
                                  example: false
                            subscribedOnData:
                              type: object
                              properties:
                                price:
                                  type: integer
                                  example: 0
                                newPrice:
                                  type: integer
                                  example: 0
                                regularPrice:
                                  type: integer
                                  example: 5
                                subscribePrice:
                                  type: integer
                                  example: 5
                                discountPercent:
                                  type: integer
                                  example: 0
                                discountPeriod:
                                  type: integer
                                  example: 1
                                subscribeAt:
                                  type: string
                                  example: 2025-01-01T00:00:00+00:00
                                expiredAt:
                                  type: string
                                  example: 2025-01-01T00:00:00+00:00
                                renewedAt:
                                  type: string
                                  example: null
                                  nullable: true
                                discountFinishedAt:
                                  type: string
                                  example: null
                                  nullable: true
                                discountStartedAt:
                                  type: string
                                  example: null
                                  nullable: true
                                status:
                                  type: string
                                  example: Set to Expire
                                isMuted:
                                  type: boolean
                                  example: false
                                unsubscribeReason:
                                  type: string
                                  example: No reason given
                                duration:
                                  type: string
                                  example: 3 days
                                tipsSumm:
                                  type: integer
                                  example: 0
                                subscribesSumm:
                                  type: integer
                                  example: 0
                                messagesSumm:
                                  type: integer
                                  example: 0
                                postsSumm:
                                  type: integer
                                  example: 0
                                streamsSumm:
                                  type: integer
                                  example: 0
                                totalSumm:
                                  type: integer
                                  example: 0
                                lastActivity:
                                  type: string
                                  example: 2025-01-01T00:00:00+00:00
                                recommendations:
                                  type: integer
                                  example: 0
                                subscribes:
                                  type: array
                                  example:
                                    - id: 123
                                      userId: 123
                                      subscriberId: 123
                                      date: 2025-01-01T00:00:00+00:00
                                      duration: 90
                                      startDate: 2025-01-01T00:00:00+00:00
                                      expireDate: 2025-01-01T00:00:00+00:00
                                      cancelDate: null
                                      price: 0
                                      regularPrice: 5
                                      discount: 0
                                      earningId: 0
                                      action: subscribe
                                      type: trial
                                      offerStart: 2025-01-01T00:00:00+00:00
                                      offerEnd: null
                                      isCurrent: true
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: integer
                                        example: 123
                                      userId:
                                        type: integer
                                        example: 123
                                      subscriberId:
                                        type: integer
                                        example: 123
                                      date:
                                        type: string
                                        example: 2025-01-01T00:00:00+00:00
                                      duration:
                                        type: integer
                                        example: 90
                                      startDate:
                                        type: string
                                        example: 2025-01-01T00:00:00+00:00
                                      expireDate:
                                        type: string
                                        example: 2025-01-01T00:00:00+00:00
                                      cancelDate:
                                        type: string
                                        example: null
                                        nullable: true
                                      price:
                                        type: integer
                                        example: 0
                                      regularPrice:
                                        type: integer
                                        example: 5
                                      discount:
                                        type: integer
                                        example: 0
                                      earningId:
                                        type: integer
                                        example: 0
                                      action:
                                        type: string
                                        example: subscribe
                                      type:
                                        type: string
                                        example: trial
                                      offerStart:
                                        type: string
                                        example: 2025-01-01T00:00:00+00:00
                                      offerEnd:
                                        type: string
                                        example: null
                                        nullable: true
                                      isCurrent:
                                        type: boolean
                                        example: true
                                hasActivePaidSubscriptions:
                                  type: boolean
                                  example: false
                            canTrialSend:
                              type: boolean
                              example: false
                            isBlocked:
                              type: boolean
                              example: false
                            promoOffers:
                              type: array
                              example:
                                - id: 123
                                  subscribeDays: 90
                                  createdAt: 2025-01-01T00:00:00+00:00
                                  expiredAt: null
                                  finishedAt: 2025-01-01T00:00:00+00:00
                                  subscriberId: "123"
                                  userId: "123"
                              items:
                                type: object
                                properties:
                                  id:
                                    type: integer
                                    example: 123
                                  subscribeDays:
                                    type: integer
                                    example: 90
                                  createdAt:
                                    type: string
                                    example: 2025-01-01T00:00:00+00:00
                                  expiredAt:
                                    type: string
                                    example: null
                                    nullable: true
                                  finishedAt:
                                    type: string
                                    example: 2025-01-01T00:00:00+00:00
                                  subscriberId:
                                    type: string
                                    example: "123"
                                  userId:
                                    type: string
                                    example: "123"
                            canUnsubscribe:
                              type: boolean
                              example: true
                            isPendingAutoprolong:
                              type: boolean
                              example: false
                      hasMore:
                        type: boolean
                        example: true
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 1000000028
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 10000000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 9999999
                          remaining_day:
                            type: integer
                            example: 49998
      tags:
        - Free Trial Links
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````